aboutsummaryrefslogtreecommitdiffhomepage
path: root/compile.sh
diff options
context:
space:
mode:
Diffstat (limited to 'compile.sh')
-rwxr-xr-xcompile.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/compile.sh b/compile.sh
index 1fe218b09e..c4ff9bf394 100755
--- a/compile.sh
+++ b/compile.sh
@@ -198,6 +198,9 @@ msys*|mingw*)
done
esac
+[[ -x "${PROTOC-}" ]] \
+ || fail "Protobuf compiler not found in ${PROTOC-}"
+
mkdir -p fromhost
if [ ! -f fromhost/BUILD ]; then
write_fromhost_build